Installing DPS
Also available as:
PDF

DPS Platform support requirements

Important
Important

The specific DPS Apps you plan to install into your environment might bring additional requirements. Review the App-specific documentation thoroughly to ensure you can meet the App-specific requirements. For example, depending on your choice of Apps, your cluster requirements might change. This includes (but is not limited to) a minimal HDP version, setup and configuration of Knox, and other cluster requirements.

You should review the support requirements for the DPS Platform to ensure your environment meets those requirements. Additionally, you must consider various aspects of your HDP clusters and prepare those clusters as part of your DPS installation in order to register the clusters with DPS.

Support Matrix information

You can find the most current information about interoperability for this release on the Support Matrix. The Support Matrix tool provides information about:

  • Operating Systems

  • Databases

  • Browsers

  • JDKs

To access the tool, go to: https://supportmatrix.hortonworks.com.

DPS Platform Host requirements

DPS Platform must be installed on a dedicated host that is not part of an existing HDP cluster, to prevent potential port conflicts with other HDP services.

DPS is certified for use with specific versions of CentOS and RHEL. These operating systems include support for Docker 1.12 or higher.

Table 1. Requirements for the DPS Platform host
Item Versions
Container infrastructure Docker 1.12.x or higher
Processing and Memory Requirements
  • Multicore processor, with minimum 8 cores

  • Minimum 16 GB RAM

Software
  • yum, rpm

  • wget

  • tar

  • bash shell

Authentication Existing LDAP or Active Directory (AD)
Environment Disable SELinux
Ports
  • 443 (Used by DPS for SSL access)
  • 80 (Redirected to port 443 for SSL)
  • 8500 (Used by Consul which handles the Docker container networking)

When configuring the software repositories, to avoid a potential port conflict, be sure you either use a distinct host or do not host the local repositories on port 80.

SmartSense requirements

A SmartSense ID is required to enable any service app on DPS Platform. You can retrieve the SmartSense ID from the Hortonworks Support Portal, under the Tools tab.